"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      rate: 3,
      list: [{
        url: "https://cdn.uviewui.com/uview/resources/video.mp4",
        title: "昨夜星辰昨夜风，画楼西畔桂堂东",
        poster: "https://cdn.uviewui.com/uview/swiper/swiper1.png"
      }, {
        url: "https://cdn.uviewui.com/uview/swiper/swiper2.png",
        title: "身无彩凤双飞翼，心有灵犀一点通"
      }, {
        url: "https://cdn.uviewui.com/uview/swiper/swiper3.png",
        title: "谁念西风独自凉，萧萧黄叶闭疏窗，沉思往事立残阳"
      }]
    };
  }
};
if (!Array) {
  const _easycom_uv_swiper2 = common_vendor.resolveComponent("uv-swiper");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  const _easycom_uv_rate2 = common_vendor.resolveComponent("uv-rate");
  (_easycom_uv_swiper2 + _easycom_uv_icon2 + _easycom_uv_rate2)();
}
const _easycom_uv_swiper = () => "../../uni_modules/uv-swiper/components/uv-swiper/uv-swiper.js";
const _easycom_uv_icon = () => "../../uni_modules/uv-icon/components/uv-icon/uv-icon.js";
const _easycom_uv_rate = () => "../../uni_modules/uv-rate/components/uv-rate/uv-rate.js";
if (!Math) {
  (_easycom_uv_swiper + _easycom_uv_icon + _easycom_uv_rate)();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.p({
      radius: 0,
      list: $data.list,
      height: 250,
      keyName: "url",
      autoplay: false
    }),
    b: common_vendor.p({
      name: "photo"
    }),
    c: common_vendor.p({
      name: "photo"
    }),
    d: common_assets._imports_0$2,
    e: common_assets._imports_0$2,
    f: common_vendor.f(5, (items, indexs, i0) => {
      return {
        a: "b1146e4a-3-" + i0,
        b: common_vendor.o(($event) => $data.rate = $event, indexs),
        c: indexs
      };
    }),
    g: common_assets._imports_1$2,
    h: common_vendor.p({
      count: 5,
      activeColor: "#FCD618",
      modelValue: $data.rate
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
